package com.fjhx.plan.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.plan.PlanConfig;
import com.fjhx.params.plan.PlanConfigVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2023-01-06
 */
public interface PlanConfigService extends BaseService<PlanConfig> {

    Page<PlanConfig> getPage(Map<String, Object> condition);

    void add(PlanConfigVo planConfigVo);

    void edit(PlanConfigVo planConfigVo);

    void delete(PlanConfigVo planConfigVo);

}
